org.apache.ignite.internal.processors.igfs

## Interface IgfsSecondaryFileSystemV2

All Superinterfaces:
  IgfsSecondaryFileSystem

Deprecated.
Will be removed in Apache Ignite 2.0. Methods will be merged to `IgfsSecondaryFileSystem`.

    @Deprecated
    public interface IgfsSecondaryFileSystemV2
    extends IgfsSecondaryFileSystem

Extended version of secondary file system with missing methods.

### Method Summary

Methods
`void` `setTimes(IgfsPath path, long accessTime, long modificationTime)` Deprecated. Set times for the given path.

### Methods inherited from interface org.apache.ignite.igfs.secondary.IgfsSecondaryFileSystem

`append, create, create, delete, exists, info, listFiles, listPaths, mkdirs, mkdirs, open, rename, update, usedSpaceSize`

### Method Detail

#### setTimes

    void setTimes(IgfsPath path,
                long accessTime,
                long modificationTime)
                  throws IgniteException

Deprecated.
Set times for the given path.

Parameters:
  `path` - Path.
  `accessTime` - Access time.
  `modificationTime` - Modification time.
Throws:
  `IgniteException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017